Subject: A year ago you came to Russia, I remember you, write me!

From: Tanya <[email-masked]>
Date: Thu, 28 Jan 2010 14:03:56 -0800 (PST)

Greetings - send me your photos where you are naked - I was so excited,
my you look at my site in your profile - added new pictures today!
Click here